My Project: dgHullVertex Class Reference

My Project

Public Attributes | List of all members
dgHullVertex Class Reference
Inheritance diagram for dgHullVertex:

## Public Attributes

dgInt32 | m_index
Public Attributes inherited from dgTemplateVector< dgFloat64 >
dgFloat64 | m_x
dgFloat64 | m_y
dgFloat64 | m_z
dgFloat64 | m_w

## Additional Inherited Members

Public Member Functions inherited from dgBigVector
DG_INLINE | dgBigVector ()
DG_INLINE | dgBigVector (const dgVector &v)
DG_INLINE | dgBigVector (const dgTemplateVector< dgFloat64 > &v)
DG_INLINE | dgBigVector (const dgBigVector &copy)
DG_INLINE | dgBigVector (const dgFloat32 *const ptr)
DG_INLINE | dgBigVector (const dgFloat64 *const ptr)
DG_INLINE | dgBigVector (dgFloat64 x, dgFloat64 y, dgFloat64 z, dgFloat64 w)
Public Member Functions inherited from dgTemplateVector< dgFloat64 >
DG_INLINE | dgTemplateVector ()
DG_INLINE | dgTemplateVector (const dgFloat64 *const ptr)
DG_INLINE | dgTemplateVector (const dgTemplateVector< dgFloat64 > &copy)
DG_INLINE | dgTemplateVector (dgFloat64 x, dgFloat64 y, dgFloat64 z, dgFloat64 w)
DG_INLINE dgFloat64 & | operator[] (dgInt32 i)
DG_INLINE const dgFloat64 & | operator[] (dgInt32 i) const
DG_INLINE dgTemplateVector< dgFloat64 > | Scale3 (dgFloat64 scale) const
DG_INLINE dgTemplateVector< dgFloat64 > | Scale4 (dgFloat64 scale) const
DG_INLINE dgTemplateVector< dgFloat64 > | operator+ (const dgTemplateVector< dgFloat64 > &B) const
DG_INLINE dgTemplateVector< dgFloat64 > & | operator+= (const dgTemplateVector< dgFloat64 > &A)
DG_INLINE dgTemplateVector< dgFloat64 > | operator- (const dgTemplateVector< dgFloat64 > &A) const
DG_INLINE dgTemplateVector< dgFloat64 > & | operator-= (const dgTemplateVector< dgFloat64 > &A)
DG_INLINE dgFloat64 | operator% (const dgTemplateVector< dgFloat64 > &A) const
DG_INLINE dgTemplateVector< dgFloat64 > | operator* (const dgTemplateVector< dgFloat64 > &B) const
DG_INLINE dgTemplateVector< dgFloat64 > | AddHorizontal () const
DG_INLINE dgTemplateVector< dgFloat64 > | DotProduct4 (const dgTemplateVector &A) const
DG_INLINE dgTemplateVector< dgFloat64 > | CrossProduct4 (const dgTemplateVector &A, const dgTemplateVector &B) const
DG_INLINE dgTemplateVector< dgFloat64 > | CompProduct3 (const dgTemplateVector< dgFloat64 > &A) const
DG_INLINE dgTemplateVector< dgFloat64 > | CompProduct4 (const dgTemplateVector< dgFloat64 > &A) const

## Member Data Documentation

## § m_index

dgInt32 dgHullVertex::m_index

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgConvexHull3d.cpp